<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('clients', function(Blueprint $table) {
			$table->foreign('id_createur')->references('id')->on('utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('clients', function(Blueprint $table) {
			$table->foreign('id_agence')->references('id')->on('agences')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('clients', function(Blueprint $table) {
			$table->foreign('id_plan')->references('id')->on('plans')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('comptes', function(Blueprint $table) {
			$table->foreign('id_client')->references('id')->on('utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('parametres', function(Blueprint $table) {
			$table->foreign('id_plan')->references('id')->on('plans')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->foreign('id_client')->references('id')->on('clients')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->foreign('id_createur')->references('id')->on('utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->foreign('id_compte')->references('id')->on('comptes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->foreign('id_plan')->references('id')->on('plans')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->foreign('id_agence')->references('id')->on('agences')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('retraits', function(Blueprint $table) {
			$table->foreign('id_client')->references('id')->on('clients')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('retraits', function(Blueprint $table) {
			$table->foreign('id_createur')->references('id')->on('utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('retraits', function(Blueprint $table) {
			$table->foreign('id_agence')->references('id')->on('agences')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('interets', function(Blueprint $table) {
			$table->foreign('id_client')->references('id')->on('clients')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('clientsorrys', function(Blueprint $table) {
			$table->foreign('id_createur')->references('id')->on('utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('clientsorrys', function(Blueprint $table) {
			$table->foreign('id_plan')->references('id')->on('plans')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('clientsorrys', function(Blueprint $table) {
			$table->foreign('id_agence')->references('id')->on('agences')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('clientsorrys', function(Blueprint $table) {
			$table->foreign('id_client')->references('id')->on('clients')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('fichiers', function(Blueprint $table) {
			$table->foreign('id_createur')->references('id')->on('utilisateurs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('clients', function(Blueprint $table) {
			$table->dropForeign('clients_id_createur_foreign');
		});
		Schema::table('clients', function(Blueprint $table) {
			$table->dropForeign('clients_id_agence_foreign');
		});
		Schema::table('clients', function(Blueprint $table) {
			$table->dropForeign('clients_id_plan_foreign');
		});
		Schema::table('comptes', function(Blueprint $table) {
			$table->dropForeign('comptes_id_client_foreign');
		});
		Schema::table('parametres', function(Blueprint $table) {
			$table->dropForeign('parametres_id_plan_foreign');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->dropForeign('depots_id_client_foreign');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->dropForeign('depots_id_createur_foreign');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->dropForeign('depots_id_compte_foreign');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->dropForeign('depots_id_plan_foreign');
		});
		Schema::table('depots', function(Blueprint $table) {
			$table->dropForeign('depots_id_agence_foreign');
		});
		Schema::table('retraits', function(Blueprint $table) {
			$table->dropForeign('retraits_id_client_foreign');
		});
		Schema::table('retraits', function(Blueprint $table) {
			$table->dropForeign('retraits_id_createur_foreign');
		});
		Schema::table('retraits', function(Blueprint $table) {
			$table->dropForeign('retraits_id_agence_foreign');
		});
		Schema::table('interets', function(Blueprint $table) {
			$table->dropForeign('interets_id_client_foreign');
		});
		Schema::table('clientsorrys', function(Blueprint $table) {
			$table->dropForeign('clientsorrys_id_createur_foreign');
		});
		Schema::table('clientsorrys', function(Blueprint $table) {
			$table->dropForeign('clientsorrys_id_plan_foreign');
		});
		Schema::table('clientsorrys', function(Blueprint $table) {
			$table->dropForeign('clientsorrys_id_agence_foreign');
		});
		Schema::table('clientsorrys', function(Blueprint $table) {
			$table->dropForeign('clientsorrys_id_client_foreign');
		});
		Schema::table('fichiers', function(Blueprint $table) {
			$table->dropForeign('fichiers_id_createur_foreign');
		});
	}
}